@import '~@guildion/next/styles/component.module.scss';

.container {
  width: 100%;
  height: 100%;
  background: var(--background-subm2);
  padding: 100px 0 110px;
  &-inner {
    height: 100%;
    width: calc(100% - 80px);
    max-width: 1040px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}

.logo {
  margin-bottom: 24px;
  width: 60px;
  height: 60px;
  position: relative;
  border-radius: 5px;
  overflow: hidden;
  @include mq-down(md) {
    margin-bottom: 8px;
  }
}

.name {
  font-size: 24px;
  line-height: 34px;
  font-weight: bold;
  color: var(--element-default);
  font-family: var(--default-font-family);
  text-align: center;
  margin-bottom: 20px;
  opacity: .4;
  @include mq-down(md) {
    font-size: 18px;
    line-height: 28px;
  }
}

.title {
  font-size: 40px;
  line-height: 64px;
  font-weight: bold;
  color: var(--element-default);
  font-family: var(--default-font-family);
  text-align: center;
  margin-bottom: 12px;
  @include mq-down(md) {
    font-size: 24px;
    line-height: 32px;
    margin-bottom: 20px;
  }
}

.description {
  font-size: 20px;
  line-height: 36px;
  color: var(--element-subp1);
  font-family: var(--default-font-family);
  text-align: center;
  white-space: pre-wrap;
  @include mq-down(md) {
    font-size: 14px;
    line-height: 24px;
  }
}

.button {
  width: 320px !important;
  height: 54px !important;
  border-radius: 27px !important;
  margin: 0px auto;
  margin-top: 44px;
  @include mq-down(fm) {
    width: 240px !important;
  }
}